# $Revision: 1.2 $, $Date: 2005/04/21 19:27:00 $

%define	module	ZopePageTemplates

Summary:	Zope Page Templates which works outside Zope
Summary(pl):	Zope Page Templates dziaajce poza rodowiskiem Zope
Name:		python-%{module}
Version:	1.4.0
Release:	1
License:	distributable
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/zpt/%{module}-%{version}.tgz
# Source0-md5:	165f1cfedb0efa0ee3ce57087a1f4a01
URL:		http://zpt.sourceforge.net/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zope Page Templates  is a Python package that implements Page
Templates like in Zope, but works outside of Zope. In fact, you don't
need to install any part of Zope to use them. This means that you can
use the elegance and ease of page templates in your own web
applications, reporting frameworks, documentation systems, etc.

%description -l pl
Zope Page Templates jest bibliotek Pythona, ktra implementuje wzroce
stron takie jak w Zope, ale dziaa bez jego udziau. Oznacza to, e
mona uywa eleganckiego i prostego mechanizmu tworzenia wzorcw
stron WWW w swojej wasnej aplikacji.

%prep
%setup -q -n %{module}

%build
env CFLAGS="%{rpmcflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt COPYING.txt version.txt ZPL.txt
%{py_sitescriptdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ZopePageTemplates.spec,v $
Revision 1.2  2005/04/21 19:27:00  qboosh
- cleanup

Revision 1.1  2005/04/19 14:53:24  radzio
initial release
